<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>patient Management System</title>

<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
	
</head>
<body>
	<div>
		<h3>Patient search</h3>
	</div>
	<form action="#" th:action="@{/v1/searchpatient}" method="get" th:object="${mymodelobject}">
		<div>
			<label for="subject">Name: </label> 
			<input type="text" name="search"
				placeholder="Patient Name" class="form-control mb-4 col-4" required="required">
			<input type="submit" class="btn btn-primary btn-sm mb-3" value="Search">
		</div>
	</form>
	<table border="1" class = "table table-striped table-responsive-md">
			<thead>
				<tr>
					<th>
						<a th:href="@{'/page/' + ${currentPage} + '?sortField=name&sortDir=' + ${reverseSortDir}}">
							patient Name</a>
					</th>
					<th>
					<a th:href="@{'/page/' + ${currentPage} + '?sortField=gender&sortDir=' + ${reverseSortDir}}">
							patient Gender</a>
					</th>
					<th>
					<a th:href="@{'/page/' + ${currentPage} + '?sortField=phone&sortDir=' + ${reverseSortDir}}">
							patient Phone</a>
					</th>
					<th> Actions </th>
				</tr>
			</thead>
			<tbody>
				<tr th:each="patient : ${listPatients}">
					<td th:text="${patient.name}"> </td>
					<td th:text="${patient.gender}"></td>
					<td th:text="${patient.phone}"></td>
					<td> <a th:href="@{/v1/patient/{id}(id=${patient.id})}" class="btn btn-primary">Update</a>
					    <a th:href="@{/v1/deletepatient/{id}(id=${patient.id})}" class="btn btn-danger">Delete</a>
					</td>
				</tr>
			</tbody>
		</table>
		<hr>
		
		<a th:href = "@{/}"> Back to Employee List</a>
</body>
</html>